
Redmine - Defect #23019

Markdown doesn't recognize mails

2016-06-08 18:19 - kay rus

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Redmine hides this email in markdown:

<a_bc@def.com>

 But it doesn't hide this:

<abc@def.com>

History

#1 - 2016-06-08 18:30 - Toshi MARUYAMA

- Category set to Text formatting

#2 - 2016-06-30 13:10 - kay rus

https://github.com/vmg/redcarpet/issues/402

#3 - 2017-06-04 05:38 - Go MAEDA

The latest version of Redcarpet still have this problem (we upgraded Redcarpet to 3.4.0 in r16583).

#4 - 2018-02-09 19:15 - Marius BĂLTEANU

- File markdown_emails.png added

- Status changed from New to Confirmed

kay rus wrote:

https://github.com/vmg/redcarpet/issues/402

 Go MAEDA wrote:

The latest version of Redcarpet still have this problem (we upgraded Redcarpet to 3.4.0 in r16583).

 Redmine is not affected by the respective issue because we have no_intra_emphasis: true and the emails with _ are recognised correctly. Please see

the below screenshot.

The issue with <a_bc@def.com> looks to be from the same Redcarpet gem, the text is filtered out because it is recognised wrongly as HTML tag.
markdown_emails.png 

Rails console:

With :filter_html => true:

irb(main):012:0> Redcarpet::Markdown.new(Redmine::WikiFormatting::Markdown::HTML.new(:filter_html => true, :ha

rd_wrap => true), autolink: true, no_intra_emphasis: true).render("<a_bc@def.com>")

=> "" 

 With :filter_html => false:
irb(main):013:0> Redcarpet::Markdown.new(Redmine::WikiFormatting::Markdown::HTML.new(:filter_html => false, :h

ard_wrap => true), autolink: true, no_intra_emphasis: true).render("<a_bc@def.com>")

=> "<p><a_bc@def.com></p>\n" 

#5 - 2024-02-05 09:36 - Go MAEDA

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

Using CommonMark Markdown instead of Redcarpet-based Markdown can avoid the issue.

Please switch to CommonMark Markdown. Redcarpet-based Markdown was marked as "deprecated" (#36807) in Redmine 5.1.0 and will be removed

in the future version.

Files
